curl -X PATCH 'https://api.resend.com/segments/78261eea-8f8b-4381-83c6-79fa7120f1cf' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Active Users"
}'
{
"object": "segment",
"id": "78261eea-8f8b-4381-83c6-79fa7120f1cf"
}
Update Segment
Update an existing segment.
PATCH
/
segments
/
:segment_id
curl -X PATCH 'https://api.resend.com/segments/78261eea-8f8b-4381-83c6-79fa7120f1cf' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Active Users"
}'
{
"object": "segment",
"id": "78261eea-8f8b-4381-83c6-79fa7120f1cf"
}
Path Parameters
Body Parameters
string
required
The name of the segment.
curl -X PATCH 'https://api.resend.com/segments/78261eea-8f8b-4381-83c6-79fa7120f1cf' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"name": "Active Users"
}'
{
"object": "segment",
"id": "78261eea-8f8b-4381-83c6-79fa7120f1cf"
}
Was this page helpful?
⌘I